Assessment Attempts

POST /assessment-attempts

Start a new assessment attempt. Returns existing in-progress attempt if one exists.

Request body

Required.

application/json

  • assessmentId string (uuid) · required
  • safetyRequirementId string (uuid)
{
    "assessmentId": "01944f76-3f07-76fe-b4fe-f8e5b0db5abc",
    "safetyRequirementId": "01944f76-3f07-76fe-b4fe-f8e5b0db5abd"
}

Responses

Status Description
201 The assessment attempt (new or existing in-progress)
400 The assessment cannot be taken
404 The assessment was not found

Response 201 body

  • id string (uuid)
  • answers object[]
  • assessment object
  • assessmentId string (uuid)
  • createdAt string (date-time)
  • educationalContent object
  • educationalContentId string (uuid)
  • pointsEarned integer
  • pointsPossible integer
  • reviewedAt string (date-time)
  • reviewedBy object
  • safetyRequirement object
  • safetyRequirementId string (uuid)
  • scorePercentage integer
  • startedAt string (date-time)
  • status string
  • submittedAt string (date-time)
  • updatedAt string (date-time)
  • user object
  • userId string (uuid)
{
    "id": "string",
    "answers": [
        {
            "id": "string",
            "answer": [
                0
            ],
            "attemptId": "string",
            "createdAt": "string",
            "isCorrect": false,
            "pointsAwarded": 0,
            "question": {
                "id": "string",
                "type": "string",
                "question": "string",
                "points": 0
            },
            "questionId": "string",
            "reviewerFeedback": "string",
            "updatedAt": "string"
        }
    ],
    "assessment": {
        "id": "string",
        "title": "string",
        "passPercentage": 0
    },
    "assessmentId": "string",
    "createdAt": "string",
    "educationalContent": {
        "id": "string",
        "title": "string"
    },
    "educationalContentId": "string",
    "pointsEarned": 0,
    "pointsPossible": 0,
    "reviewedAt": "string",
    "reviewedBy": {
        "id": "string",
        "firstName": "string",
        "lastName": "string"
    },
    "safetyRequirement": {
        "id": "string",
        "title": "string"
    },
    "safetyRequirementId": "string",
    "scorePercentage": 0,
    "startedAt": "string",
    "status": "in_progress",
    "submittedAt": "string",
    "updatedAt": "string",
    "user": {
        "id": "string",
        "firstName": "string",
        "lastName": "string",
        "email": "string"
    },
    "userId": "string"
}